%define upstream_name    Math-BigRat
%define upstream_version 0.2614

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Arbitrary big rational numbers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

# automatic dependency doesn't work here, because perl package
# provides an unversioned one

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::BigInt) >= 1.999.718
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch
Obsoletes:  perl-Math-BigRat < 0.260.600-4

%description
Math::BigRat complements Math::BigInt and Math::BigFloat by providing support
for arbitrary big rational numbers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL5LIB=%{perl_vendorlib}
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
export PERL5LIB=%{perl_vendorlib}/
make test

%install
%make_install

%files
%doc BUGS CHANGES LICENSE META.json META.yml MYMETA.yml README SIGNATURE TODO
%{perl_vendorlib}/Math
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.261.400-3.mga8
+ Revision: 1505077
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.261.400-2.mga7
+ Revision: 1284754
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 shlomif <shlomif> 0.261.400-1.mga7
+ Revision: 1221588
- update to 0.2614

* Tue Oct 03 2017 tv <tv> 0.261.300-2.mga7
+ Revision: 1165297
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 0.261.300-1.mga7
+ Revision: 1155881
- update to 0.2613

* Sun Jun 19 2016 pterjan <pterjan> 0.260.804-2.mga6
+ Revision: 1029573
- Rebuild for perl 5.22.2
+ shlomif <shlomif>
- New version 0.260804

* Fri Apr 15 2016 shlomif <shlomif> 0.260.802-1.mga6
+ Revision: 1002137
- update to 0.260802

* Fri Feb 19 2016 umeabot <umeabot> 0.260.801-2.mga6
+ Revision: 970014
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.260.801-1.mga6
+ Revision: 884694
- update to 0.260801

* Sun Sep 06 2015 sander85 <sander85> 0.260.800-1.mga6
+ Revision: 873523
- update to 0.2608

* Wed Oct 15 2014 umeabot <umeabot> 0.260.600-3.mga5
+ Revision: 750458
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.260.600-2.mga5
+ Revision: 685351
- Mageia 5 Mass Rebuild

* Mon Apr 07 2014 jquelin <jquelin> 0.260.600-1.mga5
+ Revision: 612534
- update to 0.2606

* Fri Oct 18 2013 umeabot <umeabot> 0.260.200-5.mga4
+ Revision: 512815
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.260.200-4.mga3
+ Revision: 369576
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 04 2011 jquelin <jquelin> 0.260.200-3.mga2
+ Revision: 162817
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 0.260.200-2.mga2
+ Revision: 112063
- perl 5.14 rebuild

* Mon Feb 21 2011 jquelin <jquelin> 0.260.200-1.mga1
+ Revision: 55387
- update to 0.2602

* Tue Jan 18 2011 jquelin <jquelin> 0.260.0-1.mga1
+ Revision: 23341
- cleaning spec file
- imported package perl-Math-BigRat


* Sat Nov 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.260.0-1mdv2011.0
+ Revision: 597190
- update to 0.26

* Thu Sep 10 2009 Jérôme Quelin <jquelin@mandriva.org> 0.240.0-1mdv2011.0
+ Revision: 436571
- update to 0.24

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.220.0-1mdv2010.0
+ Revision: 403854
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.22-2mdv2009.0
+ Revision: 268613
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdv2009.0
+ Revision: 194859
- update to new version 0.22
- update to new version 0.22

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-1mdv2008.0
+ Revision: 78233
- import perl-Math-BigRat


* Sun Sep 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-1mdv2008.0
- first mdv release
